Paycose Docs
Application
GET/applications/{id}/countries/{country}/platform_credit

Retrieve Countries Platform Credit

Responses: 200, 503, 400, 500

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{id}}/countries/{{country}}/platform_credit'

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "livemode": false,
  "object": "<string>",
  "rows": [
    {
      "credit_wallet": "<string>",
      "application_country_id": "<string>",
      "currency": "<string>",
      "scaling_factor": 0,
      "balance": 0,
      "held": 0,
      "available": 0,
      "fees_this_month": 0,
      "status": "<string>",
      "settings": {
        "id": "<string>",
        "application_country_id": "<string>",
        "holder_customer_id": "<string>",
        "currency": "<string>",
        "auto_topup_enabled": false,
        "auto_topup_threshold": 0,
        "auto_topup_amount": 0,
        "auto_topup_payment_method_id": "<string>",
        "low_credit_threshold": 0,
        "wallet_id": "<string>",
        "metadata": "<Metadata>",
        "created_at": "<RFC3339 timestamp>",
        "updated_at": "<RFC3339 timestamp>",
        "deleted_at": "<RFC3339 timestamp>"
      },
      "last_topup_at": "<RFC3339 timestamp>",
      "last_topup_amount": 0,
      "pending_auto_topup": {
        "id": "<string>",
        "application_country_id": "<string>",
        "holder_customer_id": "<string>",
        "currency": "<string>",
        "amount": 0,
        "vat_amount": 0,
        "total_amount": 0,
        "status": "<string>",
        "source": "<string>",
        "billing_application_country_id": "<string>",
        "billing_customer_id": "<string>",
        "invoice_id": "<string>",
        "charge_id": "<string>",
        "journal_ref": "<string>",
        "wallet_id": "<string>",
        "failure_reason": "<string>",
        "paid_at": "<RFC3339 timestamp>",
        "metadata": "<Metadata>",
        "created_at": "<RFC3339 timestamp>",
        "updated_at": "<RFC3339 timestamp>",
        "deleted_at": "<RFC3339 timestamp>"
      }
    }
  ],
  "billing_available": false,
  "vat_percentage": 0.0,
  "minimum_topup": 0
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page